Remove bashisms in nacl-test-wrapper.sh

This commit is contained in:
Frank Denis
2015-08-02 14:39:17 +02:00
parent a8bd6a397b
commit 90d9f5debd
+6 -5
View File
@@ -1,4 +1,4 @@
#! /usr/bin/env bash
#! /bin/sh
if [ -z "$NACL_SDK_ROOT" -o -z "$PNACL_TRANSLATE" -o -z "$PNACL_FINALIZE" ]
then
@@ -12,14 +12,15 @@ fi
if [ ! -f "$1.nexe" ]
then
$PNACL_FINALIZE "$1" -o "$1.final"
$PNACL_TRANSLATE -arch `uname -m` "$1.final" -o "$1.nexe"
$PNACL_TRANSLATE -arch $(uname -m) "$1.final" -o "$1.nexe"
fi
command -v python >/dev/null 2>&1 || { echo >&2 "I require python but it's not installed. Aborting."; exit 1; }
ANY=(`find $NACL_SDK_ROOT -name sel_ldr.py`)
if [ -z ${ANY[0]} ]
SEL_LDR=$(find "$NACL_SDK_ROOT" -name sel_ldr.py | head -n 1)
if [ -z "$SEL_LDR" ]
then
echo "Couldn't find a sel_ldr.py under $NACL_SDK_ROOT"
exit 1
fi
python ${ANY[0]} "$1.nexe"
exec python "$SEL_LDR" "$1.nexe"